Bug 546713 (CVE-2009-3981) - CVE-2009-3981 Mozilla crashes with evidence of memory corruption
Summary: CVE-2009-3981 Mozilla crashes with evidence of memory corruption
Status: CLOSED ERRATA
Alias: CVE-2009-3981
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,source=mozilla,report...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 18:55 UTC by Josh Bressers
Modified: 2013-04-12 21:52 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-12 21:52:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1674 normal SHIPPED_LIVE Critical: firefox security update 2009-12-16 05:03:54 UTC

Description Josh Bressers 2009-12-11 18:55:01 UTC
Mozilla developers and community members identified and fixed several stability bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these crashes showed evidence of memory corruption under certain circumstances and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

Jesse Ruderman reported a crash in the browser engine which only affected Firefox 3.

Comment 1 errata-xmlrpc 2009-12-16 05:04:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1674 https://rhn.redhat.com/errata/RHSA-2009-1674.html


Note You need to log in before you can comment on or make changes to this bug.